### Constructor

# Ggit CredSshKeyFromAgent new

#### Declaration [src]

    GgitCredSshKeyFromAgent*
    ggit_cred_ssh_key_from_agent_new (
      const gchar* username,
      GError** error
    )

#### Description [src]

Creates a new `GgitCredSshKeyFromAgent`.

#### Parameters

`username`

  Type: `const gchar*`

  The username.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitCredSshKeyFromAgent`

A new `GgitCredSshKeyFromAgent` or `NULL` if there was an error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.